import type { InspectionPlanViewModel } from "../viewmodels/admin/unit/inspectionPlan/inspectionPlan.models";
import { equipmentTypeDemoData } from "./equipmentType";

export const inspectionPlanDemoData: Array<InspectionPlanViewModel> = [
  {
    id: "abc",
    title: "Sichtprüfung",
    version: 1,
    inspectionInterval: "1-m",
    remindTime: "1-m",
    inspectionPoints: [
      {
        id: "edf",
        title: "vorhandene Spritzstellen ausgebessert",
        description: "",
        type: "number",
      },
      {
        id: "ghi",
        title: "Einband der Kupplung sitzt fest",
        description: "",
        type: "iO-niO",
      },
      {
        id: "lmn",
        title: "Das überstehende Drahtende des Knaggenteiles sitzt versenkt",
        description: "",
        type: "iO-niO",
      },
    ],
    equipmentTypeId: equipmentTypeDemoData[0].id,
    equipmentType: equipmentTypeDemoData[0],
  },
  {
    id: "cba",
    title: "Druckprüfung",
    version: 1,
    inspectionInterval: "1-m",
    remindTime: "22/10",
    inspectionPoints: [
      {
        id: "edf",
        title: "Gebrauchsprüfdruck 12bar",
        description: "",
        type: "iO-niO",
      },
    ],
    equipmentTypeId: equipmentTypeDemoData[0].id,
    equipmentType: equipmentTypeDemoData[0],
  },
];
